function [ a,xcut,vcut,da,dadx ] = accel( x,FHz )
%function [ a,xcut,vcut,da,dadx ] = accel( x,FHz )
% a - acceleration
%xcut = path with the endpoints cut off in order to keep the lengths od a and x the same
[s1,s2]= size(x);
if s1==1, x=x'; end;
xcut = x(2:end-1);
vcut = predk(x,FHz);
vcut = vcut(2:end-1)';
v = diff(x);

a = diff(v);
a = a*FHz*FHz;
da = diff(a);
da1 = da;
da(1) = da1(1);
da(length(a),1) = da1(end);
da(2:end-1) = (da1(1:end-1)+ da1(2:end))./2;

dadx1 = diff(a)./v(2:end-1);
dadx(1) = dadx1(1);
dadx(length(a),1) = dadx1(end);
dadx(2:end-1) = (dadx1(1:end-1)+ dadx1(2:end))./2;




%stddadx = std(dadx)
zle = find(abs(vcut) < 0.0);
dadx(zle) = NaN;

end

