function d = cohend(series1,series2)
%function d = cohend(series1,series2)
% wylicza wsp efektu Cohena d liczony jako rznica midzy rednimi
% podzielona przez wsplna wariancj obu prb.

if ndims1(series1)~=1, disp('series1 must be 1-dimensional data series in cohend function'); return; end;
if ndims1(series2)~=1, disp('series2 must be 1-dimensional data series in cohend function'); return; end;

n1 = length(series1);
n2 = length(series2);

m1 = mean(series1);
m2 = mean(series2);

var1 = var(series1);
var2 = var(series2);

s = sqrt(((n1-1).* var1 + (n2-1).* var2)./ (n1+n2-2));
d = (abs(m1-m2)) ./ s;


