function f = pole_obwol_vs_elipsy(x,obwoluta,szukanyprocent)
%function f = pole_obwol_vs_elipsy(x,obwoluta,szukanyprocent)
%obwoluta(1,:) - zmienna x - istotny
%obwoluta(2,:) - zmienna y - istotny
%obwoluta(3,:) - zmienna dl 
%obwoluta(4,:) - zmienna angle
%obwoluta(5,1) - pole obwoluty

% w zmiennej x s optymalizowane parametry elipsy:
%x(1) promien x, x(2) = promien y, 
%x(3) srodek x,  x(4) = srodek y, 

elsrodekx = x(3);
elsrodeky = x(4);
elpromienx = x(1);
elpromieny = x(2);
obwoluta;
[rozm1,dlo] = size(obwoluta);
xx = obwoluta(1,:);
yy = obwoluta(2,:);
dl    =  sqrt(xx.*xx + yy.*yy); 
angle =  atan2(yy,xx);

kara=1;
if elpromienx<0,   elpromienx = -elpromienx;    kara = kara * 5 * (2+elpromienx)^4; end;
if elpromieny<0,   elpromieny = -elpromieny;    kara = kara * 5 * (2+elpromieny)^4; end;
if (abs(elsrodekx)>elpromienx),     kara = kara * 2* (abs(elsrodekx)-elpromienx); end;
if (abs(elsrodeky)>elpromieny),     kara = kara * 2* (abs(elsrodeky)-elpromieny); end;
kara;

r1= (xx(2:dlo) - xx(1:dlo-1)).^2;
r2= (yy(2:dlo) - yy(1:dlo-1)).^2;
c = sqrt(r1 + r2);
obwod2 = (dl(1:dlo-1) + dl(2:dlo) + c) /2;
Polaobwol = sqrt(obwod2 .* (obwod2-dl(1:dlo-1)) .* (obwod2-dl(2:dlo)) .* (obwod2-c)) ;
Poleobwol = sum(Polaobwol);


xel  = elpromienx.*cos(angle)+ elsrodekx;
yel  = elpromieny.*sin(angle) + elsrodeky;
dlel = sqrt(xel.*xel +yel.*yel);

r1el= (xel(2:dlo) - xel(1:dlo-1)).^2;
r2el= (yel(2:dlo) - yel(1:dlo-1)).^2;
cel = sqrt(r1el + r2el);
obwodel = (dlel(1:dlo-1) + dlel(2:dlo) + cel) /2;
%PP = sqrt(p .* (p-obw_a(1:dlo-1)) .* (p-obw_a(2:dlo)) .* (p-c)) ;

Polael =  sqrt(obwodel .* (obwodel-dlel(1:dlo-1)) .* (obwodel-dlel(2:dlo)) .* (obwodel-cel)) ;
Poleel = sum(Polael);
if Poleel<0.8*Poleobwol,   kara2 = 1000*(Poleobwol-Poleel)^3;
else                       kara2 = 0;
end;   
polawystaj01 = (Polaobwol > Polael);
Polewystaj = sum(polawystaj01.*(Polaobwol-Polael));

Procentwystaj = Polewystaj./Poleobwol*100;
f = Poleel .* (abs(Procentwystaj-szukanyprocent)+1) .* kara * 100 + kara2;

